{: test a compilation error occurs for an assignment of record members when
   they have incompatible types }

{$d+}
program e008( output );

var
   i : integer;
   r : record

          ma, mb : array[1..10] of real;
          mx     : array[1..10] of real;
       end;
begin {e008}

   for i := 1 to 10 do r.ma[i] := i+9;
   r.mb := r.ma;  {OK, types are identical }
   r.mx := r.ma;  { !!! incompatible types }

   writeln( 'fails: incompatible type error not detected' );

end. {e008}

